=== debian/changelog ===
thesias (3.1.1-4) unstable; urgency=medium

  * Team upload.
  * gcc-15.patch: new: fix build failure with gcc-15. (Closes: #1097993)
  * d/copyright: remove the old FSF address.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: remove redundant Rules-Requires-Root.
  * d/watch: move to v5 watch file.
    The Github template was initially considered but didn't catch any
    upstream releases somehow.
  * d/u/metadata: fill bug and repository metadata.

 -- Étienne Mollier <emollier@debian.org>  Tue, 23 Sep 2025 21:31:23 +0200

thesias (3.1.1-3) unstable; urgency=medium

  * Team upload.
  * fixup-implicit-function-declaration.patch: fix declaration.
    The initial implementation of the patch declared mismatching types
    with (what looks like) Java bindings declared in src/thesiaslib.h.
    (Closes: #1075571)

 -- Étienne Mollier <emollier@debian.org>  Sun, 28 Jul 2024 22:07:32 +0200

thesias (3.1.1-2) unstable; urgency=medium

  * Team Upload.
  * Add patch to fix FTBFS with implicit-function-declaration (Closes: #1066499)
    + Thanks to Chirag Sukhala for the patch
  * Bump Standards-Version to 4.7.0 (no changes needed)
  * Bump debhelper compatibility level to 13
  * Add "Rules-Requires-Root: no"

 -- Nilesh Patra <nilesh@iki.fi>  Sun, 14 Apr 2024 01:23:14 +0530

thesias (3.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Dylan Aïssi <daissi@debian.org>  Mon, 20 Jan 2020 20:17:11 +0100

thesias (3.1+git20200112-1) unstable; urgency=medium

  * Initial Debian Release. (Closes: #948654)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 12 Jan 2020 11:05:21 +0100
