=== debian/control ===
Source: thesias
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/med-team/thesias
Vcs-Git: https://salsa.debian.org/med-team/thesias.git
Homepage: https://github.com/daissi/thesias

Package: thesias
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         default-jre
Description: Testing Haplotype Effects In Association Studies
 The objectif of the THESIAS program is to performed haplotype-based
 association analysis in unrelated individuals. This program is based
 on the maximum likelihood model described in Tregouet et al. 2002
 (Hum Mol Genet 2002,11: 2015-2023) and is linked to the SEM algorithm
 (Tregouet et al. Ann Hum Genet 2004,68: 165-177).
 THESIAS allows one to simultaneous estimate haplotype frequencies
 and their associate effects on the phenotype of interest.
 In this new THESIAS release, quantitative, qualitative (logistic
 and matched-pair analysis), categorical and survival outcomes can be
 studied. X-linked haplotype analysis is also feasible.
 Covariate-adjusted haplotype effects as well as haplotype x covariate
 interactions can also be investigated.
