=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_install:
	mkdir -p debian/thesias/usr/lib/$(DEB_HOST_MULTIARCH)/jni/
	cp libthesiaslib.so.0 debian/thesias/usr/lib/$(DEB_HOST_MULTIARCH)/jni/

override_dh_link:
	dh_link usr/lib/$(DEB_HOST_MULTIARCH)/jni/libthesiaslib.so.0 \
                usr/lib/$(DEB_HOST_MULTIARCH)/jni/libthesiaslib.so
