=== debian/watch ===
Version: 5

Source: https://github.com/daissi/thesias/tags
Matching-Pattern: .*/v?(\d\S+)\.tar\.gz
Filenamemangle: s/.+\/v?(\d\S+)\.tar\.gz/thesias-$1\.tar\.gz/
